Bug 496702 - Cannot send email to users on same domain
Cannot send email to users on same domain
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openchange (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 15:13 EDT by Sam Garrett
Modified: 2010-04-28 07:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: openchange-0.9-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 07:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Data dump from openchangeclient plus additional info (46.66 KB, text/plain)
2009-04-20 15:13 EDT, Sam Garrett
no flags Details

  None (edit)
Description Sam Garrett 2009-04-20 15:13:11 EDT
Created attachment 340409 [details]
Data dump from openchangeclient plus additional info

Description of problem:
Cannot email other users in same domain through Exchange server.

When attempting to send email through an Exchange MAPI server to other users in the same domain, the email command gives a status of "MAPI_E_SUCCESS (0x0)", but the delivery fails due to invalid address.

Email sent to outside addresses (eg, gmail.com) succeeds, but internal mail fails.

The error appears to be caused by an incorrect administrative group being assigned to the recipient [see attached].  This occurs both at the command-line with openchangeclient and when attempting to mail through evolution using the evolution-mapi plugin.


Version-Release number of selected component (if applicable):
evolution 2.26.1-2.fc11
evolution-data-server 2.26.1-1.fc11
evolution-mapi 0.26.1-1.fc11
openchange 0.8.2-1.fc11
openchange-client 0.8.2-1.fc11

How reproducible:
Every Time

Steps to Reproduce:
1. Setup Exchange MAPI account using Evolution
2. Execute `openchangeclient -f /home/localuser/.evolution/mapi-profiles.ldb -S --to=another_user@same_domain.com --subject "Subject of test message" --body "Body of test message"`
3. View reject notice from Exchange server
  
Actual results:
Emails sent to internal (same domain as Exchange server) accounts fail due to invalid address

Expected results:
Emails sent to internal accounts are delivered successfully

Additional info:
Attachment contains sender/receiver account info from `openchangeclient --userlist`, diag info from the Exchange rejection email, and the data-dump/debug-output of the email send command that resulted in the reject.
Comment 1 Sam Garrett 2009-04-20 15:32:56 EDT
UPDATE: If the user is in the SAME administrative group, delivery succeeds.  This error ONLY occurs if the recipient is in a DIFFERENT administrative group.
Comment 2 Bug Zapper 2009-06-09 10:13:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chad Feller 2009-10-21 16:58:05 EDT
I can confirm that this currently exists in Fedora 11, and Fedora 12 beta.  

I'm running

  evolution-mapi-0.26.2-1.fc11.x86_64

and

  evolution-mapi-0.28.0-1.fc12.i686

respectively.

Also, I've noticed no difference between administrative groups.  For instance, I cannot even send mail from myself to myself (on the domain).  Can send mail off the domain perfectly fine.
Comment 4 weilis 2009-11-18 20:23:50 EST
Confirm this one on Fedora 11 with evolution-mapi 0.26.2 and evolution-exchange 2.26.3.
Comment 5 Chad Feller 2009-11-19 01:21:44 EST
(In reply to comment #2)
> This bug appears to have been reported against 'rawhide' during the Fedora 11
> development cycle.
> Changing version to '11'.
> 
Since this still exists in 12 (comment #3) should the version be bumped to 12?
Comment 6 Otto Rey 2009-11-30 23:28:49 EST
Im confirm: Still exists on Fedora 12. This bug make this improvement useless.
Comment 7 Brad Hards 2010-02-06 05:15:15 EST
Resolved upstream. See http://trac.openchange.org/ticket/125 for the upstream bug report and fix.

Probably easiest just to upgrade to 0.9, which I guess will drop in as part of Fedora 13.
Comment 8 Bug Zapper 2010-04-27 09:49:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Chad Feller 2010-04-27 13:27:23 EDT
(In reply to comment #7)
> Resolved upstream. See http://trac.openchange.org/ticket/125 for the upstream
> bug report and fix.
> 
> Probably easiest just to upgrade to 0.9, which I guess will drop in as part of
> Fedora 13.    

I can confirm that this does seem to be resolved in F13

versions:
  evolution-2.30.1-1.fc13.x86_64
  evolution-mapi-0.30.1-1.fc13.x86_64
Comment 10 Matthew Barnes 2010-04-28 07:16:45 EDT
Thanks for the followup.  Closing this as fixed.

Note You need to log in before you can comment on or make changes to this bug.